LINKFARM(1)

NAME
linkfarm - manage symbolic links to package files

SYNOPSIS
linkfarm [-cDnRVv] [-d stowdir] [-s subdir] [-t target] package

DESCRIPTION
The linkfarm command is used to manage a "linkfarm", a directory tree of symbolic links in target to the files in the package sub-directory of stowdir. The default action is to create a linkfarm to a package.

The following command-line options are supported:

-c  Check whether a package contains a linkfarm in target. If package has no symbolic links in target that correspond to its files, then return 0, otherwise return 1.

-D  Delete the linkfarm for package.

-d stowdir
    Set stowdir as the directory in which package can be found. The default stowdir is the packages sub-directory in the default target directory.

-n  Don't actually execute the commands for removing and creating the symbolic links and directories.

-R  Delete and re-create the linkfarm for package.

-s subdir
    The root of the package hierarchy for the linkfarm is the subdir sub-directory in the package. By default, assume the root of the package hierarchy is simply the package directory.

-t target
    Set target as the directory in which to create and delete the linkfarm for package. The default target directory is /usr/pkg but may be overridden by the LOCALBASE environment variable.

-V  Print version number and exit.

-v  Turn on verbose output. Specifying -v multiple times increases the level of verbosity.

ENVIRONMENT

LOCALBASE
    The standard packages directory, /usr/pkg, can be overridden by specifying an alternative directory in the LOCALBASE environment variable. This affects the default target and stowdir directories.

PLIST_IGNORE_FILES
    This can be used to specify files in package that should ignored when creating and deleting symbolic links in target. PLIST_IGNORE_FILES is a space-separated list of shell glob patterns that match files relative to the package directory, and it defaults to "info/dir *[~#] *.OLD *.orig *,v".

SEE ALSO
lndir(1), pkg_view(1)

AUTHORS
The linkfarm utility was written by Alistair G. Crooks <agc@NetBSD.org>.